-- 通貨マスタ
INSERT INTO currencies(name, abbreviation) VALUES
('日本円', 'JPY'),
('Bitcoin', 'BTC'),
('Bitcoin Cash', 'BCH'),
('Bitcrystals', 'BITCRYSTALS'),
('CAICA Coin', 'CICC'),
('ERC20 COMSA', 'ERC20.CMS'),
('Ethereum', 'ETH'),
('Fisco Coin', 'FSCC'),
('Zen', 'JPYZ'),
('モナコイン', 'MONA'),
('mosaic COMSA', 'MOSAIC.CMS'),
('ネクスコイン', 'NCXC'),
('PEPECASH', 'PEPECASH'),
('StorjCoin X', 'SJCX'),
('Counterparty', 'XCP'),
('XEM', 'XEM'),
('ZAIF', 'ZAIF'),
('Ripple', 'XRP');

-- 通貨ペアマスタ
INSERT INTO pairs(main_currency_id, sub_currency_id, name) VALUES
((SELECT id FROM currencies WHERE abbreviation = 'JPYZ'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'JPYZ/JPY'),
((SELECT id FROM currencies WHERE abbreviation = 'ZAIF'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'ZAIF/JPY'),
((SELECT id FROM currencies WHERE abbreviation = 'BTC'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'BTC/JPY'),
((SELECT id FROM currencies WHERE abbreviation = 'NCXC'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'NCXC/JPY'),
((SELECT id FROM currencies WHERE abbreviation = 'ERC20.CMS'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'ERC20.CMS/JPY'),
((SELECT id FROM currencies WHERE abbreviation = 'PEPECASH'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'PEPECASH/JPY'),
((SELECT id FROM currencies WHERE abbreviation = 'BITCRYSTALS'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'BITCRYSTALS/JPY'),
((SELECT id FROM currencies WHERE abbreviation = 'BCH'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'BCH/JPY'),
((SELECT id FROM currencies WHERE abbreviation = 'FSCC'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'FSCC/JPY'),
((SELECT id FROM currencies WHERE abbreviation = 'CICC'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'CICC/JPY'),
((SELECT id FROM currencies WHERE abbreviation = 'SJCX'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'SJCX/JPY'),
((SELECT id FROM currencies WHERE abbreviation = 'MONA'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'MONA/JPY'),
((SELECT id FROM currencies WHERE abbreviation = 'ETH'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'ETH/JPY'),
((SELECT id FROM currencies WHERE abbreviation = 'XEM'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'XEM/JPY'),
((SELECT id FROM currencies WHERE abbreviation = 'MOSAIC.CMS'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'MOSAIC.CMS/JPY'),
((SELECT id FROM currencies WHERE abbreviation = 'XCP'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'XCP/JPY'),
((SELECT id FROM currencies WHERE abbreviation = 'XRP'), (SELECT id FROM currencies WHERE abbreviation = 'JPY'), 'XRP/JPY');
